Altimax\Apidae\Core\Entity\SitraTarif:
  type: entity
  table: sitra_tarif
  indexes:
    periode_tarif_id:
      columns:
        - periode_tarif_id
    fk_tarif_elementreference_idx:
      columns:
        - tarif_type_id
  id:
    id:
      type: integer
      nullable: false
      unsigned: false
      comment: ''
      id: true
      generator:
        strategy: IDENTITY
  fields:
    minimum:
      type: float
      nullable: true
      unsigned: false
      comment: ''
    maximum:
      type: float
      nullable: true
      unsigned: false
      comment: ''
    precisionTarif:
      type: text
      nullable: true
      fixed: false
      comment: ''
      column: precision_tarif
    devise:
      type: string
      nullable: true
      length: 5
      fixed: false
      comment: ''
      column: devise
  manyToOne:
    periodeTarif:
      targetEntity: Altimax\Apidae\Core\Entity\SitraPeriodeTarif
      cascade: [ "persist", "remove" ]
      mappedBy: null
      inversedBy: tarif
      joinColumns:
        periode_tarif_id:
          referencedColumnName: id
          onDelete: CASCADE
      orphanRemoval: false
    tarifType:
      targetEntity: Altimax\Apidae\Core\Entity\SitraElementReference
      cascade: [ "persist", "remove" ]
      mappedBy: null
      inversedBy: null
      joinColumns:
        tarif_type_id:
          referencedColumnName: id
          onDelete: CASCADE
      orphanRemoval: false
  lifecycleCallbacks: {  }
